pro read_hxrs_4_spex, dformat=dformat, files=files, $
start_time = start_time, end_time=end_time, flare=flare, $
det_id=det_id, id_style=id_style, p_read_data=p_read_data, $
flux=flux, eflux=eflux, ut=ut, units=units, area=area, cosines=cosines, $
ltime=ltime, edges=edges, delta_light=delta_light, wchan=wchan, id_use=id_use, title=title, $
auto=auto, noplot=noplot, mode=mode, error=error, $
command_out=command_out, efficiency = eff, _extra = _extra


common read_spex_com, data, ut_data, data_file_read, read_start, read_end
checkvar,data,0
checkvar,data_file_read,''
checkvar,read_start,''
checkvar,read_end,''
checkvar, command_out, ''
if command_out(0) ne '' then com_param=command_out else com_param=''

checkvar,    units, ' s!u-1!n cm!u-2!n keV!u-1!n'
format = strupcase(dformat(0))

area=4.91
command_out='build_drm'
wchan=indgen(8)
nchan=8

case format of
    'SHLD': begin
        command_out = 'build_drm'

		read_hxrs_fits, file=files[0], ut=ut, syarray=flux, esyarray=eflux, $
			deltat=deltat, slivetime=ltime, edges=edges

		; remove the two upper HXRS channels from the flux and eflux
		flux = flux[0:nchan-1,*]
		eflux = eflux[0:nchan-1,*]

		;convert to fluxes, counts/s/cm2/keV
		edge_products, edges, width=ww
		s=size(ut)
		nbin=s[s[0]]
        count_2_flux =  area * ( ltime ## ww )
        eflux = f_div(eflux, count_2_flux) ;sqrt counts/ factors
        flux  = f_div(flux, count_2_flux)       ; counts / factors

        title = 'HXRS SHIELDED '+strtrim(flare,2)+'  '+atime(/yoh, ut(0),/date)
        end
    'NSHLD':  begin
        command_out = 'build_drm'

		read_hxrs_fits, file=files[0], ut=ut, nyarray=flux, enyarray=eflux, $
			deltat=deltat, nlivetime=ltime, edges=edges

		; remove the two upper HXRS channels from the flux and eflux
		flux = flux[0:nchan-1,*]
		eflux = eflux[0:nchan-1,*]

		;convert to fluxes, counts/s/cm2/keV
		edge_products, edges, width=ww
		s=size(ut)
		nbin=s[s[0]]
        count_2_flux =  area * ( ltime ## ww )
        eflux = f_div(sqrt(flux), count_2_flux) ;sqrt counts/ factors
        flux  = f_div(flux, count_2_flux)       ; counts / factors

       	title = 'HXRS NON-SHIELDED '+strtrim(flare,2)+'  '+atime(/yoh, ut(0),/date)
        end
    'TOTAL': begin
        command_out = 'build_drm'

		read_hxrs_fits, file=files[0], ut=ut, totyarray=flux, etotyarray=eflux, $
			deltat=deltat, totlivetime=ltime, edges=edges

		; remove the two upper HXRS channels from the flux and eflux
		flux = flux[0:nchan-1,*]
		eflux = eflux[0:nchan-1,*]

		;convert to fluxes, counts/s/cm2/keV
		edge_products, edges, width=ww
		s=size(ut)
		nbin=s[s[0]]
        count_2_flux =  area * ( ltime ## ww )
        eflux = f_div(sqrt(flux), count_2_flux) ;sqrt counts/ factors
        flux  = f_div(flux, count_2_flux)       ; counts / factors

       	title = 'HXRS TOTAL '+strtrim(flare,2)+'  '+atime(/yoh, ut(0),/date)
        end
    endcase

start_time=ut[0]
end_time=ut[n_elements(ut)-1]
delta_light=edges[1,*]-edges[0,*]

end
